From 36b088057f731d9b1ac8ac52df03fd95d2692430 Mon Sep 17 00:00:00 2001
From: Somu Vineela <somu@multicorewareinc.com>
Date: Mon, 7 Mar 2022 10:13:08 +0530
Subject: [PATCH] Fix boundary case for Gaussian filter

---
 source/encoder/slicetype.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/source/encoder/slicetype.cpp b/source/encoder/slicetype.cpp
index e77f0ac70..1222a8511 100644
--- a/source/encoder/slicetype.cpp
+++ b/source/encoder/slicetype.cpp
@@ -184,7 +184,7 @@ void edgeFilter(Frame *curFrame, x265_param* param)
     {
         for (int colNum = 0; colNum < width; colNum++)
         {
-            if ((rowNum >= 2) && (colNum >= 2) && (rowNum != height - 2) && (colNum != width - 2)) //Ignoring the border pixels of the picture
+            if ((rowNum >= 2) && (colNum >= 2) && (rowNum < height - 2) && (colNum < width - 2)) //Ignoring the border pixels of the picture
             {
                 /*  5x5 Gaussian filter
                     [2   4   5   4   2]
-- 
2.30.0.windows.1

